Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get a custom role

Get a custom role that can be set on users.

GET/api/v1/{team_slug}/{app_slug}/custom-roles/{custom_role_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

custom_role_idstringrequired

Custom Role ID

Responses
200

Got Custom role successfully

datainternal_pkg_webserver_v1.CustomRolerequired
Show properties
app_idstring
created_atstring
idstring
is_defaultboolean
namestring
slugstring
updated_atstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. id not uuid)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/custom-roles/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "app_id": "string",
    "created_at": "string",
    "id": "string",
    "is_default": true,
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}